#ifndef __CData4Phase__
#define __CData4Phase__
#include <stdlib.h>

#include "COneSiteLK.h"
#include "CHap4ARG.h"

class CData4Phase
{
 private:
  COneSiteLK ** data;
  int nsite, mnsite;


  int nsn;
  char ** samplenames;


 public:
  void InitSampleNames(int i_nsn, char ** i_samplenames) { nsn = i_nsn; samplenames = i_samplenames;}
  CData4Phase();
  ~CData4Phase();
  void Add(COneSiteLK *os);
  void Display (void);

  int GetNSite(void) { return nsite;}
  int GetNSample(void) { return nsn;}
  COneSiteLK * GetSite(int i) { return data[i];}
  CHap4ARG* GetGen(void);

  int Singleton(char *hap);
  
  char ** GetSampleNames(void) { return samplenames;}
  //  COneSiteLK* GetSite(int i) { return data[i];}

};
#endif
