#include "CGLF.h"



CGLF :: CGLF()
{
  f = NULL;
  chr = -1;
}



CGLF :: ~CGLF()
{
  if (f != NULL) fclose(f);
}



void CGLF :: Init(char *fn)
{

  f = fopen(fn, "r");
  if (f == NULL) {
    printf("error: %s\n", fn);
    exit(1);
  }
  Read();
}



void CGLF :: Read(void)
{
  if (feof(f)) { chr = -1; return;}

  char type[10];
  int tempi;
  do {
    if (fscanf(f, "%d %d %s", &chr, &pos, type) != 3) {
      chr = -1; 
      fgets(bf, 1000,f );
      continue;
    };

    if (type [0] == '*') fgets(bf, 1000, f);
    else
      {
	for (int i = 0; i != 3; ++i) fscanf(f, "%d", &tempi);
	for (int i = 0; i != 10; ++i)  fscanf(f, "%d", &glf[i]);
      }
  }while (type[0] != '*');
}


void CGLF :: Seek(int rchr, int rpos)
{
  if (chr == -1) {
    fseek(f, 0, SEEK_SET);
    Read();
  }

  if (rchr == chr && rpos -pos < 10000000 && rpos > pos) return;

  TextFileSeek(f, rchr, rpos);
}



void CGLF :: GetData(int& rchr, int &rpos, int* rglf)
{
  rchr = chr;
  rpos = pos;
  rglf = glf;
}




//----------------------<chr,pos>-----------------
//         -1               0             1     
//(chr, pos) >  (rchr, rpos) : --> -1
//(chr, pos) == (rchr, rpos) : --> 0
//(chr, pos) <  (rchr, rpos) : -->  1
int CGLF :: Compare(int rchr, int rpos)
{
  return ComparePosition(chr, pos, rchr, rpos);
}
