#ifndef __CHAPLOTYPE__
#define __CHAPLOTYPE__

#include "Const.h"
#include "stdlib.h"
#include "string.h"
#include "COneSite.h"



class CHaplotypes
{
 private:
  int nmarker;//number of marker, sites

  char **names; //names of samples
  int nsample; //number of samples
  //  int chr;

  COneSite **sites;

  char Upper[255];
  char lower[255];

 public:
  //check if H is identical with THIS
  int Identical(CHaplotypes* H);

  void Init(int ns, int nm, char **name);  //Init with number of samples, number of marker
  void Init(int ns, int nm);//    {      Init(ns, nm, NULL);   }


  CHaplotypes();
  ~CHaplotypes();

  int     GetChr(void);// { return chr;}
  int     GetNsample(void) { return nsample;}
  int     GetNmarker(void) { return nmarker;}
  
  void Display(void);

  CHaplotypes* Extract4ARG(void); //select marker for haplotypes

  char ** GetNames(void) { return names;}
  //  void SetChr(int x);

  void SetSite(int k, COneSite *isite) { SetSite(k, isite, 1);}//make a clone
  void SetSite(int k, COneSite *isite, int type);// type = 1, make a clone. type = 0: no clone 
  void Vert2MargaritaFormat(void);

  char **GetHaps(void);
  int  * GetPos(void);

};
#endif

