#ifndef __COneLK__
#define __COneLK__
#include "Const.h"

class COneLK
{
 private:
  char *name;
  char *chr;
  char *comment;
  char *altall;


  int  pos, dep;
  int  posend; 
  char ref;
  //  unsigned char  minquality;
  

  unsigned char lk[NG];
 public:
  COneLK();
  ~COneLK();

  int Read(FILE *f);
  void Display(void);

  char *GetChr(void) { return chr;}
  int GetChrInt(void) { return atoi(chr);}
  int GetPos(void) { return pos;}
  int Ident(char *s, int rpos);

  int Ident(COneLK *pp) { return Ident(pp->GetChr(), pp->GetPos());}

  unsigned char * GetLK(void) { return lk;}
  char GetRef(void) { return ref;}
  int GetDepth(void) { return dep;}
  char *GetName(void) { return name;}

  int ReadInd(FILE *f);
  int ReadSNP(FILE *f);


  int Read(FILE *f, int indel) { 
    if (indel) return ReadInd(f);
    else return ReadSNP(f);
  }

  char * GetComment(void) { return comment;}

  char *GetAltAll(void) { return altall;}

  int GetPosEnd(void) { return posend;}


};


#endif


