#ifndef __CTree_Samtool_LK__
#define  __CTree_Samtool_LK__

#include "CTree_Basic.h"


class CTree : public CTree_Basic
{
 private:
  unsigned char *phredLK;
  int *PhredConf;
  //logConf[i][a*NA+b] = log Prob(Conf[i] | a,b): a = 0, b = 1
  //10^-(x1 + .. + xn): probability
  int exp10(char* conf, int a, int b);

  int minvalue;

 public:
  CTree();
  ~CTree();

  void InitLK(unsigned char* i_PhredData);// { phredLK = data;} 
  int EqualPos(CTree *t) { return Equal(t->GetChr(), t->GetPos());}


  int GetMinValue(void) { return minvalue;}
  int * GetPhredConf() { return PhredConf;}
};


#endif
