#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include "Const.h"

#ifndef __CVCF__
#define __CVCF__


#ifndef MAXLEN 
#define MAXLEN 100000
#endif

#ifndef K10
#define K10 10000
#endif

class CVCF 
{
 private:

  FILE *f;
  char *samples[K10];
  int ns;


  int index[K10];
  int rns;

  char *data[K10];

  int n;
  char bf[MAXLEN];
  int closefile;

  int pos, chr;
  char schr[100];

 public:
  
  
  void Init(FILE *fin) { f = fin; ReadFirstData();}
  void Init(char* fn);
  int Split(char *bf);
  void ReadFirstData(void);
  void SetIndex(char**, int);
  char ** GetNames(void) { return samples;}
  int GetNs(void) { return ns;}
  CVCF();
  ~CVCF();

  int GetChr(void) { return atol(schr);}
  char* GetChrS(void) { return data[0];}

  int GetPos(void) { return pos;}
  int *GetIndex(void) { return index;}
  int  ReadData(void);
  int GetData(int id);

  void Locate(int rchr, int rpos);
  void Locate(char* rchr, int rpos);
  int GetConf(int id);

  char GetAlt(void) { return data[4][0];}
  void Display(void);
  char *GetName(int i) { return samples[i];}
};
#endif
