#ifndef __SNPCANLIST__
#define __SNPCANLIST__


#include "VCFSNPCAN.h"
#include "Const.h"

class SNPCanList
{
 private:
  VCFSNPCAN **que;
  int n;
  int mn;
  FILE *fo;

 public:
  SNPCanList();
  ~SNPCanList();
  void Push(VCFSNPCAN *p);

  void Init(char *fn);
  int GetNCan(void) {return n;}

  int GetPos(int i) { return que[i]->GetPos();}
  char *GetChr(int i) { return que[i]->GetChr();}

  //  void WriteHead(int i, FILE *fo);
  void VCF_Write(int i, FILE *fo) { que[i]->VCF_Write(fo);}
};
#endif


