#ifndef __CONESITE__
#define __CONESITE__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>


// phased and genotyped data for one site



class COneSite
{
 private:
  char *gens; //genotypes
  char *genconf;//genotype confidence

  char *haps; //haplotypes
  char *hapconf; //haplotype confidence
  char *genphasedconf; //genotype confidences


  double conf; //confidence overall
  char *CharArr[5];//haps, haps conf,  gens, genconfs, genphasedconf

  int len;
  int pos;
  char *chr;

 public:

  COneSite();
  ~COneSite();

  int InitLength(int rlen);

  void SetCharArr(char ** chararr) { SetCharArr(chararr, 4);}
  void SetCharArr(char ** chararr, int n);

  char** GetCharArr(void) { return CharArr;}

  void SetConf(double c) { conf = c;}

  void SetChrPos(int rchr, int rpos);
  void SetChrPos(char* rchr, int rpos);


  //  void SetChr(int x) { chr = x;}
  void Vert2MargaritaFormat(void);

  char * GetHaps(void) { return haps;}
  int    GetPos(void)  { return pos;}
  //  int    GetChr(void)  { return atol(chr);}
  char * GetChr(void) { return chr;}

  double GetConf(void) { return conf;}
  void Display(void);

  void Display(int type);

  COneSite* Clone(void);
  int MAF(void);
};


#endif
