#ifndef __COUTPUT__
#include <stdio.h>
#include <string.h>
#include <time.h>

#include "COneSiteLK.h"
#include "COneSite.h"

class COutput
{
 private:
  
  char fnout[1024];
  FILE *fo;

  int nsn;
  char **samplenames;

  double pphom, pphet;

  int order[NA][NA];
  double Phred2Prob[K1];

  char DNA[10];
  int header;

  int indel;

 public:
  COutput();
  ~COutput();

  void Init(char *fn);
  void InitSampleNames( int i_nsn, char ** i_samplenames) { samplenames = i_samplenames; nsn = i_nsn; header = 0;}

  void SetPriorProbHom(double x) { pphom = x; pphet = 1-x;}
  void VCF_Write_Header(int type);

  void Output(COneSiteLK* os);
  void OutPut(COneSite *s, COneSiteLK *os);
  void SetIndel(void) { indel = 1;}

};


#endif
