#ifndef __CReadData__
#define __CReadData__
#include "Const.h"
#include "COneLK.h"
#include "COneSiteLK.h"



class CReadData
{
 private:
  char ** samplenames;
  int nsn;//number of sample names

  COneSiteLK *os;
  FILE *fin, *ff;
  int fchr, fpos;
  int indel;


 public:
  CReadData();
  ~CReadData();

  void SetSampleNames(char* fn);
  //  char **GetSampleNames(void) { return samplenames;}
  int GetNSN(void) { return nsn;}

  COneSiteLK* Read(void);//return 0 if end of input data, 1 otherwise
  COneLK *s; // current lk

  char ** GetSampleNames(void) { return samplenames;}
  int     GetNSample(void) { return nsn;}
  void InitInputFile(FILE *i_input) { fin = i_input;}

  void NewOS(void);// { os = new COneSiteLK;}

  void SetIndel(void) { indel = 1;}
  int  GetIndel(void) { return indel;}


  void SetFilter(char *fn);


  int Exist(int chr, int pos);

};
#endif
