#include "SNPCanList.h"


SNPCanList :: SNPCanList()
{
  que = NULL;
  fo = NULL;
  mn = 0;
  n = 0;
}


SNPCanList :: ~SNPCanList(){

  if (que != NULL)
    {
      for (int i = 0; i != n; ++i) delete que[i];
      free(que);
    }
  if (fo != NULL) fclose(fo);

}


void SNPCanList::Push(VCFSNPCAN *p)
{
  if (mn == 0) //init
    {
      mn = K10;
      que = (VCFSNPCAN**)malloc(mn * sizeof(VCFSNPCAN));
    }

  if (n >= mn) {
    mn = mn + K10;
    que = (VCFSNPCAN**)realloc(que, mn * sizeof(VCFSNPCAN));
  }
  que[n++] = p;
}


void SNPCanList :: Init(char *fn)
{
  fo = fopen(fn, "w");
  if (fo == NULL)
    {
      printf("error while opening to write: %s\n", fn);
      exit(1);
    }
}

