#include "VCFSNPCAN.h"


VCFSNPCAN::VCFSNPCAN()
{
  chr = NULL;
}



VCFSNPCAN::~VCFSNPCAN()
{
  if (chr != NULL) free(chr);
}


void VCFSNPCAN :: SetChrPos(char *schr, int spos)
{
  chr = (char*)calloc(strlen(schr) + 1, sizeof(char));
  strcpy(chr, schr);
  pos = spos;
}




void VCFSNPCAN :: VCF_Write(FILE *fo, int nsn)
{
  if (chr[0] == '0' && chr[1] <= '9' && chr[1] > '0' && strlen(chr) == 2)
    fprintf(fo, "%d\t%d", atol(chr), pos);
  else fprintf(fo, "%s\t%d", chr, pos);

  fprintf(fo, "\t."); //dbsnp
  fprintf(fo, "\t%c", ref);
  fprintf(fo, "\t%c", altall);
  fprintf(fo,"\t%d", Prob2Phred(1-conf));

  //char tempc[128];
  //  strcpy(tempc, "");
  //  if (nsn/2 > ndata) strcpy(tempc, "s50;");
  //  if (conf < .90)    strcat(tempc, "q10;");
  //  if (strlen(tempc) > 0) tempc[ strlen(tempc)-1] = '\0';




  //  if (strlen(tempc) == 0) fprintf(fo, "\t0");
  //  else fprintf(fo, "\t%s", tempc);


  if (conf < .9) fprintf(fo, "\tq10");
  else fprintf(fo, "\t0");

  fprintf(fo, "\tNS=%d;DP=%d", ndata, dep);
  fprintf(fo, "\tGT:GQ:DP");
}
