#ifndef __VCFSNPCAN__
#define __VCFSNPCAN__

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include "Const.h"

class VCFSNPCAN
{
 private:
  double conf, maf;
  int pos;
  char *chr;
  char ref, altall;  
  int ndata;
  int dep;

 public:

  void SetChrPos(char *rchr, int rpos);
  void SetNData(int rndata) { ndata = rndata;}
  void SetConf(double sconf) { conf = sconf;}
  void SetDepth(int sdep) { dep = sdep;}

  void SetAltAll(char saltall) { altall = saltall;}

  void SetRef(char sref) { ref = sref;}
  void SetMAF(double smaf) { maf = smaf;}

  VCFSNPCAN();
  ~VCFSNPCAN();


  int GetPos(void) { return pos;}
  char *GetChr(void) { return chr;}
  char GetRef(void) { return ref;}
  char GetAltAll(void){ return  altall;}
  
  void VCF_Write(FILE *fo) { VCF_Write(fo, -1);}
  void VCF_Write(FILE *fo, int nsn);

};

#endif
